Subject: Re: Possible distant future cryptography and format changes

From: Rafael Diniz <[email-masked]>
Date: Wed, 18 Mar 2026 19:27:37 +0000

On 3/18/26 3:10 PM, Sergey Matveev wrote:
> *** Rafael Diniz [2026-03-18 15:02]:
>> One dummy question - with the current nncp implementation, is it possible to
>> send a file in broadcast mode (something easy in HF), for example, to
>> multiple nodes, and the nodes be able to decrypt the payload?
> 
> There is some ability to multicast: http://www.nncpgo.org/Multicast.html
> but not broadcast.

Right. I might use this together with nncp-bundle to carry broadcasts, 
if I understood well.

>> Right now I'm doing mostly p2p connections.
> 
> Personally I do only unicast ones :-)
> 
> PS: please, do not use top-post in the maillist.

I missed this netiquette class.
: )

I should also have created another topic, as I don't want to hijack this 
thread, which is obviously very important. I'm still understanding all 
implications to nncp usage / feature-set.

- Rafael